%define majorver 8.5

Summary: Tcl scripting language development environment
Name: tcl
Version: %{majorver}.3
Release: 1
License: TCL
Group: Development/Languages
URL: http://tcl.sourceforge.net/
Source0: http://downloads.sourceforge.net/sourceforge/%{name}/%{name}%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Provides: tcl(abi) = %{majorver}

%description
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.


%package devel
Summary: Tcl scripting language development environment
Group: Development/Languages
Requires: %{name} = %{version}-%{release}

%description devel
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

The package contains the development files and man pages for tcl.

%prep
%setup -q -n %{name}%{version}
chmod -x generic/tclThreadAlloc.c


%build
cd unix
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-threads
make %{?_smp_mflags} TCL_LIBRARY=%{_datadir}/%{name}%{majorver}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd unix
make DESTDIR=${RPM_BUILD_ROOT} install TCL_LIBRARY=%{_datadir}/%{name}%{majorver}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

ln -sf tclsh%{majorver} ${RPM_BUILD_ROOT}%{_bindir}/tclsh
ln -sf lib%{name}%{majorver}.so ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}.so

chmod 0755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}%{majorver}/ldAix

cat ${RPM_BUILD_ROOT}%{_libdir}/%{name}Config.sh | \
    sed -e "s|$PWD/ldAix|%{_datadir}/%{name}%{majorver}/ldAix|" | \
    sed -e "s|$PWD/lib.exp|%{_libdir}/%{name}%{majorver}.exp|" | \
    sed -e "s|$PWD|%{_libdir}|" > \
    ${RPM_BUILD_ROOT}%{_libdir}/tmpFile.tmp
mv -f ${RPM_BUILD_ROOT}%{_libdir}/tmpFile.tmp ${RPM_BUILD_ROOT}%{_libdir}/%{name}Config.sh

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README changes license.terms
%{_bindir}/tclsh*
%{_libdir}/lib*.so
%dir %{_datadir}/%{name}%{majorver}
%{_datadir}/%{name}%{majorver}/*
%dir %{_datadir}/%{name}8
%{_datadir}/%{name}8/*
%{_mandir}/man1/*
%{_mandir}/mann/*
/usr/bin/tclsh*
/usr/lib/lib*.so


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/lib*.exp
%{_libdir}/lib*.a
%{_libdir}/%{name}Config.sh
%{_mandir}/man3/*
/usr/include/*
/usr/lib/lib*.a


%changelog
* Mon Jul 07 2008 Michael Perzl <michael@perzl.org> - 8.5.3-1
- updated to version 8.5.3

* Thu Apr 24 2008 Michael Perzl <michael@perzl.org> - 8.5.2-1
- first version for AIX V5.1 and higher
